import 'package:flutter/material.dart';
import 'package:rkm/models/city_load_model.dart';
import 'package:rkm/models/drop_down_data_model.dart';
import '../models/pais_modelo.dart';
import 'color_palette.dart';

class ConstVariable{
  double radiusBorderInput = 5;
  EdgeInsetsGeometry marginHightInput = EdgeInsets.symmetric(vertical: 5);
  EdgeInsetsGeometry paddingWidth = EdgeInsets.symmetric(horizontal: 10);
  IconThemeData iconThemeDataDefault = IconThemeData(color: Colors.white);
  double fontSizeInput = 15;
  double fontSizeTitleAppBar = 20;
  List<String> RGUF = ['AC','AL','AP','AM','BA','CE','DF','ES','GO','MA','MT','MS','MG','PA','PB','PR','PE','PI','RJ','RN','RS','RO','RR','SC','SP','SE','TO','--'];
  List<String> itensProceduresStart = [
    'ATEND. INDIVIDUAL',
    'VISTA DOMICILIAR'
  ];
  List<String> listNationality =[
    'BRASILEIRO',
    'ESTRANGEIRO',
    'NATURALIZADO',
  ];

  List<DropDownDataModel> listConduct = [
    DropDownDataModel(cod: 3, title: 'ALTA ADMINISTRATIVA'),
    DropDownDataModel(cod: 1, title: 'ALTA CLÍNICA'),
    DropDownDataModel(cod: 2, title: 'END. AD1'),
    DropDownDataModel(cod: 5, title: 'ENC. INTERNAÇÃO HOSPITALAR'),
    DropDownDataModel(cod: 4, title: 'ENC. URGÊNCIA E EMERGÊNCIA'),
    DropDownDataModel(cod: 9, title: 'ÓBITO'),
    DropDownDataModel(cod: 7, title: 'PERMANÊNCIA'),
  ];

  List serviceIndividualCheckBoxList =[
    'ASMA',
    'PUERPÉRO (ATÉ 42 ...',
    'DESNUTRIÇÃO',
    'SAÚDE SEXUAL E RE...',
    'DIABETES',
    'TABAGISMO',
    'DPOC',
    'USUÁRIO DE ÁLCOOL',
    'HIPERTERSÃO ARTERIAL',
    'USUÁRIO DE OUTRA...',
    'OBESIDADE',
    'SAÚDE MENTAL',
    'PRÉ-NATAL',
    'REABILITAÇÃO',
    'PUERICULTURA',
  ];

  List<String> trackingModelList=['CÂNCER DE COLO DO ÚTERO','CÂNCER DE MAMA','RISCO CARDIOVASCULAR'];
  List<String> nasfPoloModelList=['AVALIAÇÃO/DIAGNÓSTICO','PROCEDIMENTOS CLÍNICOS/TERAPÊUTICO','PRESCRIÇÃO TERAPÊUTICA'];
  List<String> conductModelList=[
    'RETORNO PARA CONSULTA AGENDADA','RETORNO PARA CUIDADO CONTINUADO/PROGRAMADO',
    'AGENDAMENTO PARA GRUPOS','AGENDAMENTO PARA NASF','ALTA DO EPISÓDIO'];
  List<String> forwardingModelList=[
    'INTERNO DO DIA','SERVIÇO ESPECIALIZADO','CAPS','INTERNAÇÃO HOSPITALAR','URGÊNCIA'
    'SERVIÇO DE ATENÇÃO DOMICILIAR','INTERSETORIAL'];

  List communicableDiseasesList = [
    'TUBERCULOSE',
    'DENGUE',
    'HANSENÍASE',
    'DST',
  ];

  List tipoVisitaModel = [
    'CADASTRAMENTO / ATUALIZAÇÃO',
    'VISITA PERIÓDICA'
  ];

  List outrosModel = [
    'EGRESSO DE INTERNAÇÃO',
    'CONVITE ATIVIDADES COLETIVAS/CAMPANHAS DE SAÚDE',
    'ORIENTAÇÃO/PREVENÇÃO',
    'OUTROS',
  ];

  List tipoAcompanhamentoModel = [
    'GESTANTE',
    'PUÉRPERA',
    'RECÉM-NASCIDO',
    'CRIANÇA',
    'PESSOA COM DESNUTRIÇÃO',
    'PESSOA EM REABILITAÇÃO OU COM DEFICIÊNCIA',
    'PESSOA COM HIPERTENSÃO',
    'PESSOA COM DIABETES',
    'PESSOA COM ASMA',
    'PESSOA COM DPOC/ENFISEMA',
    'PESSOA COM CÂNCER',
    'PESSOA COM OUTRAS DOENÇAS CRÔNICAS',
    'PESSOA COM HANSENÍASE',
    'PESSOA COM TUBERCULOSE',
    'SINTOMÁTICOS RESPIRATÓRIOS',
    'TABAGISTA',
    'DOMICILIADOS/ACAMADOS',
    'CONDIÇÕES DE VULNERABILIDADE SOCIAL',
    'CONDIÇÃO DO BOLSA FAMÍLIA',
    'SAÚDE MENTAL',
    'USUÁRIO DE ÁLCOOL',
    'USUÁRIO DE OUTRAS DROGAS',
  ];

  List serviceHomeCheckConditionlist = [
    'ACAMADO',
    'ACOMP.NUTRICIONAL',
    'ACOMP.PÓS-OPERATÓRIO',
    'ACOMP.PRÉ-OPERATÓRIO',
    'ADAPTAÇÃO AO USO DE ÓRTESE / PRÓTESE',
    'CUIDADOS PALIATIVOS NÃO ONCOLÓGICO',
    'CUIDADOS PALIATIVOS ONCOLÓGICO',
    'DIÁLISE PERITONIAL',
    'DOMICILIADO',
    'MEDICAÇÃO PARENTERAL',
    'OXIGENOTERAPIA DOMICILIAR',
    'PARACENTESE',
    'REABILITAÇÃO DOMICILIAR',
    'SUPORTE VENTILATÓRIO NÃO INVASIVO - BIPAP',
    'SUPORTE VENTILATÓRIO NÃO INVASIVO - CPAP',
    'ÚLCERAS / FERIDAS (GRAU III OU IV)',
    'USO DE ASPIRADOR DE VIAS AÉRIAS PARA HIGIÊNE BRÔNQUICA',
    'USO DE CISTOSTOMIA',
    'USO DE COLOSTOMIA',
    'USO DE GASTROSTOMIA',
    'USO DE SONDA NASOENTERAL - SNE',
    'USO DE SONDA NASOGÁSTRICA - SNG',
    'USO DE SONDA VESICAL DE DEMORA - SVD',
    'USO DE TRAQUEOSTOMIA',
  ];

  List serviceHomeCheckProclist = [
    'ACOMP.DE PACIENTE EM REABILITAÇÃO EM COMUNICAÇÃO ALTERNATIVA',
    'ENEMA',
    'ANTIBIOTICOTERAPIA PARENTERAL',
    'OXIGENOTERAPIA',
    'ATEND./ ACOMP. PACIENTE EM REABILITAÇÃO DO DESENVOLVIMENTO NEUROPSICOMOTOR',
    'RETIRADA DE PONTOS DE CIRURGIAS BÁSICAS',
    'ATEND. FISIOTERAPÊUTICO PACIENTE C/ TRANST. RESP S/ COMPLICAÇÕES SISTÊMICAS',
    'SONDAGEM GÁSTRICA',
    'ATEND. MÉDICO COM FINALIDADE DE ATESTAR ÓBITO',
    'TERAPIA DE REIDRATAÇÃO ORAL',
    'ATEND./ACOMP.EM REABILITAÇÃO NAS MÚLTIPLAS DEFICIÊNCIAS',
    'TERAPIA DE REIDRATAÇÃO PARENTERAL',
    'ADAPTAÇÃO AO USO DE ÓRTESE / PRÓTESE',
    'REABILITAÇÃO DOMICILIAR',
    'CATETERISMO VESICAL DE ALÍVIO',
    'TERAPIA FONOAUDIOLÓGICA INDIVIDUAL',
    'CATETERISMO VESICAL DE DEMORA',
    'TRATAMENTO DE TRAUMATISMOS DE LOCALIZAÇÃO ESPECIFICADA/NÃO ESPECIFICADA',
    'COLETA DE MATERIAL PARA EXAME LABORATORIAL',
    'TRATAMENTO EM REABILITAÇÃO',
    'CUIDADOS COM ESTOMAS',
    'CUIDADOS COM TRAQUEOSTOMIA'
  ];

  List<DropDownDataModel> listServicePlace = [
    DropDownDataModel(cod: 1,title: 'UBS'),
    DropDownDataModel(cod: 2,title: 'UNIDADE MÓVEL'),
    DropDownDataModel(cod: 3,title: 'RUA'),
    DropDownDataModel(cod: 4,title: 'DOMICÍLIO'),
    DropDownDataModel(cod: 5,title: 'ESCOLA/CRECHE'),
    DropDownDataModel(cod: 6,title: 'OUTROS'),
    DropDownDataModel(cod: 7,title: 'POLO'),
    DropDownDataModel(cod: 8,title: 'INSTITUIÇÃO/ABRIGO'),
    DropDownDataModel(cod: 9,title: 'UNIDADE PRISIONAL OU CONGÊNERES'),
    DropDownDataModel(cod: 10,title: 'UNIDADE SOCIOEDUCATIVA'),
    DropDownDataModel(cod: 11,title: 'HOSPITAL'),
    DropDownDataModel(cod: 12,title: 'UNIDADE DE PRONTO ATEND.'),
    DropDownDataModel(cod: 13,title: 'CACON/UNACON'),
  ];
  List<DropDownDataModel> typeService = [
    DropDownDataModel(cod: 7,title: 'ATEND. PROGRAMADO'),
    DropDownDataModel(cod: 8,title: 'ATEND. NÃO PROGRAMADO'),
    DropDownDataModel(cod: 9,title: 'VISITA DOMICILIAR PÓS ÓBITO'),
  ];
  List<DropDownDataModel> typeModelService = [
    DropDownDataModel(cod: 1,title: 'AD1'),
    DropDownDataModel(cod: 2,title: 'AD2'),
    DropDownDataModel(cod: 3,title: 'AD3'),
  ];
  List<DropDownDataModel> typeTurnService = [
    DropDownDataModel(cod: 1,title: 'MANHÃ'),
    DropDownDataModel(cod: 2,title: 'TARDE'),
    DropDownDataModel(cod: 3,title: 'NOITE'),
  ];
  List<String> typeService2 = [
    'CONSULTA AGENDADA PROGRAMADA/CUIDADO CONTINUADO',
    'CONSULTA AGENDADA',
    'DEMANDA ESPONTÂNEA - ESCUTA INICIAL/ORIENTAÇÃO',
    'DEMANDA ESPONTÂNEA - CONSULTA NO DIA',
    'DEMANDA ESPONTÂNEA - ATEND. DE EMERGÊNCIA',
  ];
  List<DropDownDataModel> listBreed = [
    DropDownDataModel(cod: 4, title: 'AMARELA'),
    DropDownDataModel(cod: 1, title: 'BRANCA'),
    DropDownDataModel(cod: 5, title: 'INDIGENA'),
    DropDownDataModel(cod: 2, title: 'NEGRA'),
    DropDownDataModel(cod: 3, title: 'PARDA'),
  ];
  List<DropDownDataModel> listScooling = [
    DropDownDataModel(cod: 4, title:  'ENSINO FUNDAMENTAL'),
    DropDownDataModel(cod: 3, title:  'ENSINO MEDIO'),
    DropDownDataModel(cod: 5, title:  'ENSINO MEDIO INCOMPLETO'),
    DropDownDataModel(cod: 0, title:  'NAO DEFINIDO'),
    DropDownDataModel(cod: 1, title:  'SUPERIOR'),
    DropDownDataModel(cod: 2, title:  'SUPERIOR INCOMPLETO'),
  ];

  List<DropDownDataModel> listScoolingRegisterInd = [
    DropDownDataModel(cod: 1, title:  'NÃO FREQUENTOU'),
    DropDownDataModel(cod: 2, title:  'CRECHE'),
    DropDownDataModel(cod: 3, title:  'PRÉ-ESCOLA (EXCETO CA)'),
    DropDownDataModel(cod: 4, title:  'CLASSE ALFABETIZADA - CA'),
    DropDownDataModel(cod: 5, title:  'ENSINO FUNDAMENTAL 1ª A 4ª SÉRIES'),
    DropDownDataModel(cod: 6, title:  'ENSINO FUNDAMENTAL 5ª A 8ª SÉRIES'),
    DropDownDataModel(cod: 7, title:  'ENSINO FUNDAMENTAL COMPLETO'),
    DropDownDataModel(cod: 8, title:  'ENSINO FUNDAMENTAL ESPECIAL'),
    DropDownDataModel(cod: 9, title:  'ENSINO FUNDAMENTAL EJA SÉRIES INICIAIS (1ª A 4ª)'),
    DropDownDataModel(cod:10, title:  'ENSINO FUNDAMENTAL EJA SÉRIES FINAIS (5ª A 9ª)'),
    DropDownDataModel(cod:11, title:  'ENSINO MÉDIO, MÉDIO 2º CICLO (CIENTÍFICO, TÉCNICO, ETC...)'),
    DropDownDataModel(cod:12, title:  'ENSINO MÉDIO ESPECIAL'),
    DropDownDataModel(cod:13, title:  'ENSINO MÉDIO EJA (SUPLETIVO)'),
    DropDownDataModel(cod:14, title:  'SUPERIOR, APREFEIÇOAMENTO, ESPECIALIZAÇÃO, MESTRADO, DOUTORADO'),
    DropDownDataModel(cod:15, title:  'ALFABETIZAÇÃO PARA ADULTOS (MOBRAL, ETC...)'),
  ];
  List<DropDownDataModel> listOcupacion = [
    DropDownDataModel(cod: 1, title:  'EMPREGADOR'),
    DropDownDataModel(cod: 2, title:  'ASSALARIADO COM CARTEIRA DE TRABALHO'),
    DropDownDataModel(cod: 3, title:  'ASSALARIADO SEM CARTEIRA DE TRABALHO'),
    DropDownDataModel(cod: 4, title:  'AUTÔNOMO COM PREVIDÊNCIA SOCIAL'),
    DropDownDataModel(cod: 5, title:  'AUTÔNOMO SEM PREVIDÊNCIA SOCIAL'),
    DropDownDataModel(cod: 6, title:  'APOSENTADO/PENSIONISTA'),
    DropDownDataModel(cod: 7, title:  'DESEMPREGADO'),
    DropDownDataModel(cod: 8, title:  'NÃO TRABALHA'),
    DropDownDataModel(cod: 9, title:  'OUTRO'),
    DropDownDataModel(cod:10, title:  'SERVIDOR PÚBLICO/MILITAR'),
  ];

  List<DropDownDataModel> listGenderInd = [
    DropDownDataModel(cod: 1, title:  'NÃO DESEJA INFORMAR'),
    DropDownDataModel(cod: 2, title:  'HETEROSSEXUAL'),
    DropDownDataModel(cod: 3, title:  'HOMOSEXUAL'),
    DropDownDataModel(cod: 4, title:  'BISSEXUAL'),
    DropDownDataModel(cod: 5, title:  'OUTRO'),
  ];

  List<DropDownDataModel> listGenderIdent = [
    DropDownDataModel(cod: 1, title:  'NÃO DESEJA INFORMAR'),
    DropDownDataModel(cod: 2, title:  'HOMEM TRANSEXUAL'),
    DropDownDataModel(cod: 3, title:  'MULHER TRANSEXUAL'),
    DropDownDataModel(cod: 4, title:  'TRAVESTI'),
    DropDownDataModel(cod: 5, title:  'OUTRO'),
  ];

  List<DropDownDataModel> listExitCitizen = [
    DropDownDataModel(cod: 1, title:  'ÓBITO'),
    DropDownDataModel(cod: 2, title:  'MUDANÇA DE TERRITÓRIO'),
  ];

  List<DropDownDataModel> listTypeHome = [
    DropDownDataModel(cod:  1,title: 'DOMICÍLIO'),
    DropDownDataModel(cod:  2,title: 'COMÉRCIO'),
    DropDownDataModel(cod:  3,title: 'TERRENO BALDIO'),
    DropDownDataModel(cod:  4,title: 'PONTO ESTRATÉGICO'),
    DropDownDataModel(cod:  5,title: 'ESCOLA'),
    DropDownDataModel(cod:  6,title: 'CRECHE'),
    DropDownDataModel(cod:  7,title: 'ABRIGO'),
    DropDownDataModel(cod:  8,title: 'INSTITUIÇÃO DE LONGA PERMANÊNCIA PARA IDOSOS'),
    DropDownDataModel(cod:  9,title: 'UNIDADE PRISIONAL'),
    DropDownDataModel(cod: 10,title: 'UNIDADE DE MEDIDA SOCIOEDUCATIVA'),
    DropDownDataModel(cod: 11,title: 'DELEGACIA'),
    DropDownDataModel(cod: 12,title: 'ESTABELECIMENTO RELIGIOSO'),
    DropDownDataModel(cod: 99,title: 'OUTROS'),
  ];
  
  List<DropDownDataModel> listDesfecho = [
    DropDownDataModel(cod: 1, title: 'VISITA REALIZADA'),
    DropDownDataModel(cod: 2, title: 'VISITA RECUSADA'),
    DropDownDataModel(cod: 3, title: 'AUSENTE'),
  ];

  List<DropDownDataModel> listSituationHome = [
    DropDownDataModel(cod:  1,title: 'PRÓPRIO'),
    DropDownDataModel(cod:  2,title: 'ALUGADO'),
    DropDownDataModel(cod:  3,title: 'ARRENDADO'),
    DropDownDataModel(cod:  4,title: 'CEDIDO'),
    DropDownDataModel(cod:  5,title: 'OCUPAÇÃO'),
    DropDownDataModel(cod:  6,title: 'FINANCIADO'),
    DropDownDataModel(cod:  7,title: 'OUTROS'),
    DropDownDataModel(cod:  8,title: 'SITUAÇÃO DE RUA'),
  ];

  List<DropDownDataModel> listSituationRural = [
    DropDownDataModel(cod:  1,title: 'PROPRIETÁRIO'),
    DropDownDataModel(cod:  2,title: 'PARCEIRO(A)/MEEIRO(A)'),
    DropDownDataModel(cod:  3,title: 'ASSENTADO(A)'),
    DropDownDataModel(cod:  4,title: 'POSSEIRO(A)'),
    DropDownDataModel(cod:  5,title: 'ARRENDATÁRIO(A)'),
    DropDownDataModel(cod:  6,title: 'COMODATÁRIO(A)'),
    DropDownDataModel(cod:  7,title: 'BENEFICIÁRIO(A) DO BANCO DA TERRA'),
    DropDownDataModel(cod:  8,title: 'NÃO SE APLICA'),
  ];
  List<DropDownDataModel> listTypeAcessHome = [
    DropDownDataModel(cod:  1,title: 'ASFALTO'),
    DropDownDataModel(cod:  2,title: 'CHÃO BATIDO'),
    DropDownDataModel(cod:  3,title: 'FLUVIAL'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
  ];
  List<DropDownDataModel> listMaterialHome = [
    DropDownDataModel(cod:  1,title: 'ALVENARIA COM REVESTIMENTO'),
    DropDownDataModel(cod:  2,title: 'ALVENARIA SEM REVESTIMENTO'),
    DropDownDataModel(cod:  3,title: 'TAIPA COM REVESTIMENTO'),
    DropDownDataModel(cod:  4,title: 'TAIPA SEM REVESTIMENTO'),
    DropDownDataModel(cod:  5,title: 'MADEIRA APARELHADA'),
    DropDownDataModel(cod:  6,title: 'MATERIAL REAPROVEITADO'),
    DropDownDataModel(cod:  7,title: 'PALHA'),
    DropDownDataModel(cod:  8,title: 'OUTRO MATERIAL'),
  ];
  List<DropDownDataModel> listWaterHome = [
    DropDownDataModel(cod:  1,title: 'REDE ENCANADA ATÉ O DOMICÍLIO'),
    DropDownDataModel(cod:  2,title: 'POÇO/NASCENTE NO DOMICÍLIO'),
    DropDownDataModel(cod:  3,title: 'CAMINHÃO PIPA'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
    DropDownDataModel(cod:  5,title: 'CISTERNA'),
  ];
  List<DropDownDataModel> listWaterTreatment = [
    DropDownDataModel(cod:  1,title: 'FILTRAÇÃO'),
    DropDownDataModel(cod:  2,title: 'FERVURA'),
    DropDownDataModel(cod:  3,title: 'CLORAÇÃO'),
    DropDownDataModel(cod:  4,title: 'SEM TRATAMENTO'),
    DropDownDataModel(cod:  5,title: 'MINERAL'),
    DropDownDataModel(cod:  6,title: 'OUTRO'),
  ];
  List<DropDownDataModel> listDestinyTrash = [
    DropDownDataModel(cod:  1,title: 'COLETADO'),
    DropDownDataModel(cod:  2,title: 'QUEIMADO/ENTERRADO'),
    DropDownDataModel(cod:  3,title: 'CÉU ABERTO'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
  ];
  List<DropDownDataModel> listSanitary = [
    DropDownDataModel(cod:  1,title: 'REDE COLETORA DE ESGOTO OU PLUVIAL'),
    DropDownDataModel(cod:  2,title: 'FOSSA RUDIMENTAR'),
    DropDownDataModel(cod:  3,title: 'FOSSA SÉPTICA'),
    DropDownDataModel(cod:  4,title: 'CÉU ABERTO'),
    DropDownDataModel(cod:  5,title: 'OUTRA FORMA'),
    DropDownDataModel(cod:  6,title: 'DIRETO PARA UM RIO, LAGO OU MAR'),
  ];

  List<DropDownDataModel> listTypeLocation = [
    DropDownDataModel(cod:  1,title: 'URBANO'),
    DropDownDataModel(cod:  2,title: 'RURAL'),
  ];

  List<DropDownDataModel> listTypeResidence = [
    DropDownDataModel(cod:  1,title: 'CASA'),
    DropDownDataModel(cod:  2,title: 'APARTAMENTO'),
    DropDownDataModel(cod:  3,title: 'CÔMODO'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
  ];

  List<DropDownDataModel> listMaritalStatus = [
    DropDownDataModel(cod:  2,title: 'CASADO(A)'),
    DropDownDataModel(cod:  6,title: 'DESQUITADO(A)'),
    DropDownDataModel(cod:  4,title: 'DIVORCIADO(A)'),
    DropDownDataModel(cod: 99,title: 'NAO DEFINIDO'),
    DropDownDataModel(cod:  7,title: 'SEPARADO(A)'),
    DropDownDataModel(cod:  1,title: 'SOLTEIRO(A)'),
    DropDownDataModel(cod:  5,title: 'UNIAO ESTAVEL'),
    DropDownDataModel(cod:  3,title: 'VIUVO(A)'),
  ];
  List<DropDownDataModel> listKin = [
    DropDownDataModel(cod:  1,title: 'CÔNJUGE/COMPANHEIRO(A)'),
    DropDownDataModel(cod:  2,title: 'FILHO(A)'),
    DropDownDataModel(cod:  3,title: 'ENTEADO(A)'),
    DropDownDataModel(cod:  4,title: 'NETO(A)/BISNETO(A)'),
    DropDownDataModel(cod:  5,title: 'PAI/MÃE'),
    DropDownDataModel(cod:  6,title: 'SOGRO(A)'),
    DropDownDataModel(cod:  7,title: 'IRMÃO(A)'),
    DropDownDataModel(cod:  8,title: 'GENRO/NORA'),
    DropDownDataModel(cod:  9,title: 'OUTRO PARENTE'),
    DropDownDataModel(cod: 10,title: 'NÃO PARENTE'),
  ];

  List<DropDownDataModel> listWeight = [
    DropDownDataModel(cod: 1, title:  'ACIMA DO PESO'),
    DropDownDataModel(cod: 2, title:  'PESO ADEQUADO'),
    DropDownDataModel(cod: 3, title:  'ABAIXO DO PESO'),
  ];

  List<DropDownDataModel> listHeart = [
    DropDownDataModel(cod: 1, title:  'NÃO'),
    DropDownDataModel(cod: 2, title:  'INSUFICIÊNCIA CARDÍACA'),
    DropDownDataModel(cod: 3, title:  'OUTRO'),
    DropDownDataModel(cod: 4, title:  'SIM MAS NÃO SABE QUAL'),
  ];

  List<DropDownDataModel> listKidney = [
    DropDownDataModel(cod: 1, title:  'NÃO'),
    DropDownDataModel(cod: 2, title:  'INSUFICIÊNCIA RENAL'),
    DropDownDataModel(cod: 3, title:  'OUTRO'),
    DropDownDataModel(cod: 4, title:  'SIM MAS NÃO SABE QUAL'),
  ];

  List<DropDownDataModel> listLung = [
    DropDownDataModel(cod: 1, title:  'NÃO'),
    DropDownDataModel(cod: 2, title:  'ASMA'),
    DropDownDataModel(cod: 3, title:  'DPCO/ENFISEMA'),
    DropDownDataModel(cod: 4, title:  'OUTRO'),
    DropDownDataModel(cod: 5, title:  'SIM MAS NÃO SABE QUAL'),
  ];

  List<DropDownDataModel> listCondStreet = [
    DropDownDataModel(cod: 1, title:  'NÃO ESTÁ EM SITUAÇÃO DE RUA'),
    DropDownDataModel(cod: 2, title:  'MENOS 6 MESES'),
    DropDownDataModel(cod: 3, title:  'DE 6 A 12 MESES'),
    DropDownDataModel(cod: 4, title:  'DE 1 A 5 ANOS'),
    DropDownDataModel(cod: 5, title:  'MAIS QUE 5 ANOS'),
  ];

  List<DropDownDataModel> listDailyFood = [
    DropDownDataModel(cod: 1, title:  '1 VEZ'),
    DropDownDataModel(cod: 2, title:  '2 OU 3 VEZES'),
    DropDownDataModel(cod: 3, title:  'MAIS DE 3 VEZES'),
  ];

  List<String> listGender = [
    'FEMININO','MASCULINO'
  ];
  List<String> listProcedures = [
    'Aferição de PA',
    'Curativo Simples',
    'Glicemia Capilar',
    'Medição de Peso',
    'Coleta de Material para Exame Laboratorial',
    'Aferição de Temperatura',
    'Medição de Altura',
  ];
  List<String> itensProcedures = [
    '0101010010 - ATIVIDADE EDUCATIVA / ORIENTAÇÃO EM GRUPO NA ATENÇÃO PRIMÁRIA',
    '0101010028 - ATIVIDADE EDUCATIVA / ORIENTAÇÃO EM GRUPO NA ATENÇÃO ESPECIALIZADA',
    '0101010036 - PRÁTICA CORPORAL / ATIVIDADE FÍSICA EM GRUPO',
    '0101020015 - AÇÃO COLETIVA DE APLICAÇÃO TÓPICA DE FLÚOR GEL',
    '0101020023 - AÇÃO COLETIVA DE BOCHECHO FLUORADO',
    '0101020031 - AÇÃO COLETIVA DE ESCOVAÇÃO DENTAL SUPERVISIONADA',
    '0101020040 - AÇÃO COLETIVA DE EXAME BUCAL COM FINALIDADE EPIDEMIOLÓGICA',
    '0101020058 - APLICAÇÃO DE CARIOSTÁTICO (POR DENTE)',
  ];
  List<String> itensCBO = [
    '223208 - Cirurgião dentista - clínico geral',
    '223505 - Enfermeiro',
    '223565 - Enfermeiro da estratégia de saúde da família',
    '223605 - Fisioterapeuta geral',
    '223710 - Nutricionista',
    '223810 - Fonoaudiólogo geral',
    '225112 - Médico neurologista',
    '225120 - Médico cardiologista',
    '225124 - Médico pediatra',
    '225125 - Médico clínico',
  ];

  List<DropDownDataModel> itensDeficiency = [
    DropDownDataModel(cod: 4, title:  'AFONICA'),
    DropDownDataModel(cod: 5, title:  'AUDITIVA'),
    DropDownDataModel(cod:10, title:  'FISICA'),
    // DropDownDataModel(cod: 2, title:  'IGNORADO'),
    DropDownDataModel(cod: 6, title:  'INTELECTUAL'),
    DropDownDataModel(cod: 7, title:  'MOTORA'),
    DropDownDataModel(cod: 8, title:  'MULTIPLA'),
    DropDownDataModel(cod: 3, title:  'NENHUMA'),
    DropDownDataModel(cod: 9, title:  'VISUAL'),
  ];

  List<DropDownDataModel> itensCertificate = [
    DropDownDataModel(cod: 91, title:  'NASCIMENTO'),
    DropDownDataModel(cod: 92, title:  'CASAMENTO'),
    DropDownDataModel(cod: 93, title:  'DIVÓRCIO'),
    DropDownDataModel(cod: 95, title:  'ADMINISTRATIVA - ÍNDIO'),
    DropDownDataModel(cod: 91, title:  'NASCIMENTO - N'),
    DropDownDataModel(cod: 92, title:  'CASAMENTO - N'),
    DropDownDataModel(cod: 93, title:  'DIVÓRCIO - N'),
    DropDownDataModel(cod: 95, title:  'ADMINISTRATIVA - ÍNDIO - N'),
  ];

  List<CityLoadModel> itensCity = [
    CityLoadModel(codCity: 3311, nameCityApi: 'anhembi',            nameCityFront: 'Anhembi',                     codState: 'SP', codCityIbge: 350230),
    CityLoadModel(codCity: 3313, nameCityApi: 'aparecida',          nameCityFront: 'Aparecida',                   codState: 'SP', codCityIbge: 350250),
    CityLoadModel(codCity: 3352, nameCityApi: 'batatais',           nameCityFront: 'Batatais',                    codState: 'SP', codCityIbge: 350590),
    CityLoadModel(codCity: 3360, nameCityApi: 'biritiba',           nameCityFront: 'Biritiba Mirim',              codState: 'SP', codCityIbge: 350660),
    CityLoadModel(codCity: 3381, nameCityApi: 'cabreuva',           nameCityFront: 'Cabreúva',                    codState: 'SP', codCityIbge: 350840),
    CityLoadModel(codCity: 1903, nameCityApi: 'cachoeira',          nameCityFront: 'Cachoeira Paulista',          codState: 'SP', codCityIbge: 290490),
    CityLoadModel(codCity: 3384, nameCityApi: 'caconde',            nameCityFront: 'Caconde',                     codState: 'SP', codCityIbge: 350870),
    CityLoadModel(codCity: 3409, nameCityApi: 'casabranca',         nameCityFront: 'Casa Branca',                 codState: 'SP', codCityIbge: 351080),
    CityLoadModel(codCity: 3427, nameCityApi: 'corumbatai',         nameCityFront: 'Corumbataí',                  codState: 'SP', codCityIbge: 351270),
    CityLoadModel(codCity: 3437, nameCityApi: 'descalvado',         nameCityFront: 'Descalvado',                  codState: 'SP', codCityIbge: 351370),
    CityLoadModel(codCity: 2539, nameCityApi: 'extrema',            nameCityFront: 'Extrema',                     codState: 'MG', codCityIbge: 312510),
    CityLoadModel(codCity: 3473, nameCityApi: 'francodarocha',      nameCityFront: 'Franco da Rocha',             codState: 'SP', codCityIbge: 351640),
    CityLoadModel(codCity: 3514, nameCityApi: 'igaracudotiete',     nameCityFront: 'Igaraçu do Tietê',            codState: 'SP', codCityIbge: 352000),
    CityLoadModel(codCity: 3531, nameCityApi: 'iracemapolis',       nameCityFront: 'Iracemápolis',                codState: 'SP', codCityIbge: 352140),
    CityLoadModel(codCity: 3542, nameCityApi: 'itapeva',            nameCityFront: 'Itapeva',                     codState: 'SP', codCityIbge: 352240),
    CityLoadModel(codCity: 3546, nameCityApi: 'itapolis',           nameCityFront: 'Itápolis',                    codState: 'SP', codCityIbge: 352270),
    CityLoadModel(codCity: 3555, nameCityApi: 'itirapina',          nameCityFront: 'Itirapina',                   codState: 'SP', codCityIbge: 352360),
    CityLoadModel(codCity: 3560, nameCityApi: 'ituverava',          nameCityFront: 'Ituverava',                   codState: 'SP', codCityIbge: 352410),
    CityLoadModel(codCity: 3570, nameCityApi: 'jardinopolis',       nameCityFront: 'Jardinópolis',                codState: 'SP', codCityIbge: 352510),
    CityLoadModel(codCity: 3584, nameCityApi: 'laranjal',           nameCityFront: 'Laranjal Paulista',           codState: 'SP', codCityIbge: 352640),
    CityLoadModel(codCity: 3601, nameCityApi: 'macatuba',           nameCityFront: 'Macatuba',                    codState: 'SP', codCityIbge: 352800),
    CityLoadModel(codCity: 3606, nameCityApi: 'mairipora',          nameCityFront: 'Mairiporã',                   codState: 'SP', codCityIbge: 352850),
    CityLoadModel(codCity: 3628, nameCityApi: 'mococa',             nameCityFront: 'Mococa',                      codState: 'SP', codCityIbge: 353050),
    CityLoadModel(codCity: 3642, nameCityApi: 'morroagudo',         nameCityFront: 'Morro Agudo',                 codState: 'SP', codCityIbge: 353190),
    CityLoadModel(codCity: 3691, nameCityApi: 'pardinho',           nameCityFront: 'Pardinho',                    codState: 'SP', codCityIbge: 353610),
    CityLoadModel(codCity: 3699, nameCityApi: 'pederneiras',        nameCityFront: 'Pederneiras',                 codState: 'SP', codCityIbge: 353670),
    CityLoadModel(codCity: 3719, nameCityApi: 'piracicaba',         nameCityFront: 'Piracicaba',                  codState: 'SP', codCityIbge: 353870),
    CityLoadModel(codCity: 3740, nameCityApi: 'portoferreira',      nameCityFront: 'Porto Ferreira',              codState: 'SP', codCityIbge: 354070),
    CityLoadModel(codCity: 3816, nameCityApi: 'santarita',          nameCityFront: 'Santa Rita',                  codState: 'SP', codCityIbge: 354750),
    CityLoadModel(codCity: 3821, nameCityApi: 'stoantoniodaalegria',nameCityFront: 'Santo Antônio da Alegria',    codState: 'SP', codCityIbge: 354790),
    CityLoadModel(codCity: 3853, nameCityApi: 'ssgrama',            nameCityFront: 'São Sebastião da Grama',      codState: 'SP', codCityIbge: 355080),
    CityLoadModel(codCity: 3882, nameCityApi: 'tapiratiba',         nameCityFront: 'Tapiratiba',                  codState: 'SP', codCityIbge: 355360),
  ];

  List<PaisModelo> paises = [
    PaisModelo (ID_PAIS_RESID:1,PAIS: 'AFEGANISTÃO'),
    PaisModelo (ID_PAIS_RESID: 2,PAIS: 'ALBÂNIA'),
    PaisModelo (ID_PAIS_RESID: 3,PAIS: 'ARGÉLIA'),
    PaisModelo (ID_PAIS_RESID: 4,PAIS: 'SAMOA AMERICANA'),
    PaisModelo (ID_PAIS_RESID: 5,PAIS: 'ANDORRA'),
    PaisModelo (ID_PAIS_RESID: 6,PAIS: 'ANGOLA'),
    PaisModelo (ID_PAIS_RESID: 7,PAIS: 'ANGUILLA'),
    PaisModelo (ID_PAIS_RESID: 8,PAIS: 'ANTÁRCTIDA'),
    PaisModelo (ID_PAIS_RESID: 9,PAIS: 'ANTIGUA E BARBUDA'),
    PaisModelo (ID_PAIS_RESID: 10,PAIS: 'ARGENTINA'),
    PaisModelo (ID_PAIS_RESID: 11,PAIS: 'ARMÊNIA'),
    PaisModelo (ID_PAIS_RESID: 12,PAIS: 'ARUBA'),
    PaisModelo (ID_PAIS_RESID: 14,PAIS: 'AUSTRÁLIA'),
    PaisModelo (ID_PAIS_RESID: 15,PAIS: 'ÁUSTRIA'),
    PaisModelo (ID_PAIS_RESID: 16,PAIS: 'AZERBEIJÃO'),
    PaisModelo (ID_PAIS_RESID: 17,PAIS: 'BAHAMAS'),
    PaisModelo (ID_PAIS_RESID: 18,PAIS: 'BAHREIN'),
    PaisModelo (ID_PAIS_RESID: 20,PAIS: 'BANGLADESH'),
    PaisModelo (ID_PAIS_RESID: 21, PAIS: 'BARBADOS'),
    PaisModelo (ID_PAIS_RESID: 23, PAIS: 'BIELO-RÚSSIA'),
    PaisModelo (ID_PAIS_RESID: 24, PAIS: 'BÉLGICA'),
    PaisModelo (ID_PAIS_RESID: 25, PAIS: 'BELIZE'),
    PaisModelo (ID_PAIS_RESID: 26, PAIS: 'BENIN'),
    PaisModelo (ID_PAIS_RESID: 27, PAIS: 'BERMUDA'),
    PaisModelo (ID_PAIS_RESID: 28, PAIS: 'BUTÃO'),
    PaisModelo (ID_PAIS_RESID: 29, PAIS: 'BOLÍVIA'),
    PaisModelo (ID_PAIS_RESID: 30, PAIS: 'BÓSNIA-HERZEGÓVINA'),
    PaisModelo (ID_PAIS_RESID: 31, PAIS: 'BOTSWANA'),
    PaisModelo (ID_PAIS_RESID: 32, PAIS: 'BOUVET, ILHA'),
    PaisModelo (ID_PAIS_RESID: 33, PAIS: 'BRASIL'),
    PaisModelo (ID_PAIS_RESID: 34, PAIS: 'TERRITÓRIO BRITÂNICO DO OCEANO ÍNDICO'),
    PaisModelo (ID_PAIS_RESID: 35, PAIS: 'VIRGENS BRITÂNICAS, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 36, PAIS: 'BRUNEI'),
    PaisModelo (ID_PAIS_RESID: 37, PAIS: 'BULGÁRIA'),
    PaisModelo (ID_PAIS_RESID: 38, PAIS: 'BURKINA FASSO'),
    PaisModelo (ID_PAIS_RESID: 39, PAIS: 'MYANMAR (ANTIGA BIRMÂNIA)'),
    PaisModelo (ID_PAIS_RESID: 40, PAIS: 'BURUNDI'),
    PaisModelo (ID_PAIS_RESID: 41, PAIS: 'CAMBODJA'),
    PaisModelo (ID_PAIS_RESID: 42, PAIS: 'CAMARÕES'),
    PaisModelo (ID_PAIS_RESID: 43, PAIS: 'CANADÁ'),
    PaisModelo (ID_PAIS_RESID: 44, PAIS: 'CABO VERDE'),
    PaisModelo (ID_PAIS_RESID: 45, PAIS: 'CAYMAN, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 46, PAIS: 'CENTRO-AFRICANA, REPÚBLICA'),
    PaisModelo (ID_PAIS_RESID: 47, PAIS: 'CHADE'),
    PaisModelo (ID_PAIS_RESID: 48, PAIS: 'CHILE'),
    PaisModelo (ID_PAIS_RESID: 49, PAIS: 'CHINA'),
    PaisModelo (ID_PAIS_RESID: 50, PAIS: 'CHRISTMAS, ILHA'),
    PaisModelo (ID_PAIS_RESID: 52, PAIS: 'COCOS, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 53, PAIS: 'COLÔMBIA'),
    PaisModelo (ID_PAIS_RESID: 54, PAIS: 'COMORES'),
    PaisModelo (ID_PAIS_RESID: 55, PAIS: 'CONGO, REPÚBLICA DEMOCRÁTICA DO (ANTIGO ZAIRE)'),
    PaisModelo (ID_PAIS_RESID: 56, PAIS: 'CONGO, REPÚBLICA DO'),
    PaisModelo (ID_PAIS_RESID: 57, PAIS: 'COOK, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 59, PAIS: 'COSTA RICA'),
    PaisModelo (ID_PAIS_RESID: 60, PAIS: 'COSTA DO MARFIM'),
    PaisModelo (ID_PAIS_RESID: 61, PAIS: 'CROÁCIA'),
    PaisModelo (ID_PAIS_RESID: 62, PAIS: 'CUBA'),
    PaisModelo (ID_PAIS_RESID: 63, PAIS: 'CHIPRE'),
    PaisModelo (ID_PAIS_RESID: 64, PAIS: 'TCHECA, REPÚBLICA'),
    PaisModelo (ID_PAIS_RESID: 65, PAIS: 'DINAMARCA'),
    PaisModelo (ID_PAIS_RESID: 66, PAIS: 'DJIBOUTI'),
    PaisModelo (ID_PAIS_RESID: 67, PAIS: 'DOMINICA'),
    PaisModelo (ID_PAIS_RESID: 68, PAIS: 'DOMINICANA, REPÚBLICA'),
    PaisModelo (ID_PAIS_RESID: 69, PAIS: 'TIMOR-LESTE'),
    PaisModelo (ID_PAIS_RESID: 70, PAIS: 'EQUADOR'),
    PaisModelo (ID_PAIS_RESID: 71, PAIS: 'EGIPTO'),
    PaisModelo (ID_PAIS_RESID: 72, PAIS: 'EL SALVADOR'),
    PaisModelo (ID_PAIS_RESID: 73, PAIS: 'GUINÉ EQUATORIAL'),
    PaisModelo (ID_PAIS_RESID: 74, PAIS: 'ERITRÉIA'),
    PaisModelo (ID_PAIS_RESID: 75, PAIS: 'ESTÓNIA'),
    PaisModelo (ID_PAIS_RESID: 76, PAIS: 'ETIÓPIA'),
    PaisModelo (ID_PAIS_RESID: 78, PAIS: 'MALVINAS, ILHAS (FALKLAND)'),
    PaisModelo (ID_PAIS_RESID: 79,  PAIS:'FAROE, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 80,  PAIS:'FIJI'),
    PaisModelo (ID_PAIS_RESID: 81,  PAIS:'FINLÂNDIA'),
    PaisModelo (ID_PAIS_RESID: 82,  PAIS:'FRANÇA'),
    PaisModelo (ID_PAIS_RESID: 84,  PAIS:'GUIANA FRANCESA'),
    PaisModelo (ID_PAIS_RESID: 85,  PAIS:'POLINÉSIA FRANCESA'),
    PaisModelo (ID_PAIS_RESID: 86,  PAIS:'TERRAS AUSTRAIS E ANTÁRTICAS FRANCESAS (TAAF)'),
    PaisModelo (ID_PAIS_RESID: 87,  PAIS:'GABÃO'),
    PaisModelo (ID_PAIS_RESID: 88,  PAIS:'GÂMBIA'),
    PaisModelo (ID_PAIS_RESID: 90,  PAIS:'GEÓRGIA'),
    PaisModelo (ID_PAIS_RESID: 91,  PAIS:'ALEMANHA'),
    PaisModelo (ID_PAIS_RESID: 92,  PAIS:'GANA'),
    PaisModelo (ID_PAIS_RESID: 93,  PAIS:'GIBRALTAR'),
    PaisModelo (ID_PAIS_RESID: 95,  PAIS:'GRÉCIA'),
    PaisModelo (ID_PAIS_RESID: 96,  PAIS:'GRONELÂNDIA'),
    PaisModelo (ID_PAIS_RESID: 97,  PAIS:'GRANADA'),
    PaisModelo (ID_PAIS_RESID: 98,  PAIS:'GUADELOUPE'),
    PaisModelo (ID_PAIS_RESID: 99,  PAIS:'GUAM'),
    PaisModelo (ID_PAIS_RESID: 100, PAIS: 'GUATEMALA'),
    PaisModelo (ID_PAIS_RESID: 102, PAIS: 'GUINÉ-CONACRI'),
    PaisModelo (ID_PAIS_RESID: 103, PAIS: 'GUINÉ-BISSAU'),
    PaisModelo (ID_PAIS_RESID: 104, PAIS: 'GUIANA'),
    PaisModelo (ID_PAIS_RESID: 105, PAIS: 'HAITI'),
    PaisModelo (ID_PAIS_RESID: 106, PAIS: 'HEARD E ILHAS MCDONALD, ILHA'),
    PaisModelo (ID_PAIS_RESID: 107, PAIS: 'VATICANO'),
    PaisModelo (ID_PAIS_RESID: 108, PAIS: 'HONDURAS'),
    PaisModelo (ID_PAIS_RESID: 109, PAIS: 'HONG KONG'),
    PaisModelo (ID_PAIS_RESID: 111, PAIS: 'HUNGRIA'),
    PaisModelo (ID_PAIS_RESID: 112, PAIS: 'ISLÂNDIA'),
    PaisModelo (ID_PAIS_RESID: 113, PAIS: 'ÍNDIA'),
    PaisModelo (ID_PAIS_RESID: 114, PAIS: 'INDONÉSIA'),
    PaisModelo (ID_PAIS_RESID: 115,PAIS: 'IRÃO'),
    PaisModelo (ID_PAIS_RESID: 116,PAIS: 'IRAQUE'),
    PaisModelo (ID_PAIS_RESID: 117,PAIS: 'IRLANDA'),
    PaisModelo (ID_PAIS_RESID: 118,PAIS: 'ISRAEL'),
    PaisModelo (ID_PAIS_RESID: 119,PAIS: 'ITÁLIA'),
    PaisModelo (ID_PAIS_RESID: 120,PAIS: 'JAMAICA'),
    PaisModelo (ID_PAIS_RESID: 122,PAIS: 'JAPÃO'),
    PaisModelo (ID_PAIS_RESID: 126,PAIS: 'JORDÂNIA'),
    PaisModelo (ID_PAIS_RESID: 128,PAIS: 'CAZAQUISTÃO'),
    PaisModelo (ID_PAIS_RESID: 129,PAIS: 'QUÊNIA'),
    PaisModelo (ID_PAIS_RESID: 131,PAIS: 'KIRIBATI'),
    PaisModelo (ID_PAIS_RESID: 132,PAIS: 'COREIA, REPÚBLICA DEMOCRÁTICA DA (COREIA DO NORTE)'),
    PaisModelo (ID_PAIS_RESID: 133,PAIS: 'COREIA DO SUL'),
    PaisModelo (ID_PAIS_RESID: 134,PAIS: 'KUWEIT'),
    PaisModelo (ID_PAIS_RESID: 135,PAIS: 'QUIRGUISTÃO'),
    PaisModelo (ID_PAIS_RESID: 136,PAIS: 'LAOS'),
    PaisModelo (ID_PAIS_RESID: 137,PAIS: 'LETÓNIA'),
    PaisModelo (ID_PAIS_RESID: 138,PAIS: 'LÍBANO'),
    PaisModelo (ID_PAIS_RESID: 139,PAIS: 'LESOTO'),
    PaisModelo (ID_PAIS_RESID: 140,PAIS: 'LIBÉRIA'),
    PaisModelo (ID_PAIS_RESID: 141,PAIS: 'LÍBIA'),
    PaisModelo (ID_PAIS_RESID: 142,PAIS: 'LIECHTENSTEIN'),
    PaisModelo (ID_PAIS_RESID: 143,PAIS: 'LITUÂNIA'),
    PaisModelo (ID_PAIS_RESID: 144,PAIS: 'LUXEMBURGO'),
    PaisModelo (ID_PAIS_RESID: 145,PAIS: 'MACAU'),
    PaisModelo (ID_PAIS_RESID: 146,PAIS: 'MACEDÓNIA, REPÚBLICA DA'),
    PaisModelo (ID_PAIS_RESID: 147,PAIS: 'MADAGÁSCAR'),
    PaisModelo (ID_PAIS_RESID: 148,PAIS: 'MALAWI'),
    PaisModelo (ID_PAIS_RESID: 149,PAIS: 'MALÁSIA'),
    PaisModelo (ID_PAIS_RESID: 150,PAIS: 'MALDIVAS'),
    PaisModelo (ID_PAIS_RESID: 151,PAIS: 'MALI'),
    PaisModelo (ID_PAIS_RESID: 152,PAIS: 'MALTA'),
    PaisModelo (ID_PAIS_RESID: 154, PAIS: 'MARSHALL, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 155, PAIS: 'MARTINICA'),
    PaisModelo (ID_PAIS_RESID: 156, PAIS: 'MAURITÂNIA'),
    PaisModelo (ID_PAIS_RESID: 157, PAIS: 'MAURÍCIA'),
    PaisModelo (ID_PAIS_RESID: 158, PAIS: 'MAYOTTE'),
    PaisModelo (ID_PAIS_RESID: 159, PAIS: 'MÉXICO'),
    PaisModelo (ID_PAIS_RESID: 160, PAIS: 'MICRONÉSIA, ESTADOS FEDERADOS DA'),
    PaisModelo (ID_PAIS_RESID: 163, PAIS: 'MOLDÁVIA'),
    PaisModelo (ID_PAIS_RESID: 164, PAIS: 'MÔNACO'),
    PaisModelo (ID_PAIS_RESID: 165, PAIS: 'MONGÓLIA'),
    PaisModelo (ID_PAIS_RESID: 167, PAIS: 'MONTSERRAT'),
    PaisModelo (ID_PAIS_RESID: 168, PAIS: 'MARROCOS'),
    PaisModelo (ID_PAIS_RESID: 169, PAIS: 'MOÇAMBIQUE'),
    PaisModelo (ID_PAIS_RESID: 171, PAIS: 'NAMÍBIA'),
    PaisModelo (ID_PAIS_RESID: 172, PAIS: 'NAURU'),
    PaisModelo (ID_PAIS_RESID: 174, PAIS: 'NEPAL'),
    PaisModelo (ID_PAIS_RESID: 175, PAIS: 'PAÍSES BAIXOS (HOLANDA)'),
    PaisModelo (ID_PAIS_RESID: 176, PAIS: 'ANTILHAS HOLANDESAS'),
    PaisModelo (ID_PAIS_RESID: 177, PAIS: 'NOVA CALEDÔNIA'),
    PaisModelo (ID_PAIS_RESID: 178, PAIS: 'NOVA ZELÂNDIA (AOTEAROA)'),
    PaisModelo (ID_PAIS_RESID: 179, PAIS: 'NICARÁGUA'),
    PaisModelo (ID_PAIS_RESID: 180, PAIS: 'NÍGER'),
    PaisModelo (ID_PAIS_RESID: 181, PAIS: 'NIGÉRIA'),
    PaisModelo (ID_PAIS_RESID: 182, PAIS: 'NIUE'),
    PaisModelo (ID_PAIS_RESID: 183, PAIS: 'NORFOLK, ILHA'),
    PaisModelo (ID_PAIS_RESID: 184, PAIS: 'MARIANAS SETENTRIONAIS'),
    PaisModelo (ID_PAIS_RESID: 185, PAIS: 'NORUEGA'),
    PaisModelo (ID_PAIS_RESID: 186, PAIS: 'OMAN'),
    PaisModelo (ID_PAIS_RESID: 187, PAIS: 'PAQUISTÃO'),
    PaisModelo (ID_PAIS_RESID: 188, PAIS: 'PALAU'),
    PaisModelo (ID_PAIS_RESID: 190, PAIS: 'PANAMÁ'),
    PaisModelo (ID_PAIS_RESID: 191, PAIS: 'PAPUA-NOVA GUINÉ'),
    PaisModelo (ID_PAIS_RESID: 193,PAIS: 'PARAGUAI'),
    PaisModelo (ID_PAIS_RESID: 194,PAIS: 'PERU'),
    PaisModelo (ID_PAIS_RESID: 195,PAIS: 'FILIPINAS'),
    PaisModelo (ID_PAIS_RESID: 196,PAIS: 'PITCAIRN'),
    PaisModelo (ID_PAIS_RESID: 197,PAIS: 'POLÔNIA'),
    PaisModelo (ID_PAIS_RESID: 198,PAIS: 'PORTUGAL'),
    PaisModelo (ID_PAIS_RESID: 199,PAIS: 'PORTO RICO'),
    PaisModelo (ID_PAIS_RESID: 200,PAIS: 'QATAR'),
    PaisModelo (ID_PAIS_RESID: 201,PAIS: 'REUNIÃO'),
    PaisModelo (ID_PAIS_RESID: 202,PAIS: 'ROMÊNIA'),
    PaisModelo (ID_PAIS_RESID: 203,PAIS: 'RÚSSIA'),
    PaisModelo (ID_PAIS_RESID: 204,PAIS: 'RUANDA'),
    PaisModelo (ID_PAIS_RESID: 205,PAIS: 'SANTA HELENA'),
    PaisModelo (ID_PAIS_RESID: 206,PAIS: 'SÃO CRISTÓVÃO E NÉVIS (SAINT KITTS E NEVIS)'),
    PaisModelo (ID_PAIS_RESID: 207,PAIS: 'SANTA LÚCIA'),
    PaisModelo (ID_PAIS_RESID: 208,PAIS: 'SAINT PIERRE ET MIQUELON'),
    PaisModelo (ID_PAIS_RESID: 209,PAIS: 'SÃO VICENTE E GRANADINAS'),
    PaisModelo (ID_PAIS_RESID: 210,PAIS: 'SAMOA (SAMOA OCIDENTAL)'),
    PaisModelo (ID_PAIS_RESID: 211,PAIS: 'SAN MARINO'),
    PaisModelo (ID_PAIS_RESID: 212,PAIS: 'SÃO TOMÉ E PRÍNCIPE'),
    PaisModelo (ID_PAIS_RESID: 213,PAIS: 'ARÁBIA SAUDITA'),
    PaisModelo (ID_PAIS_RESID: 214,PAIS: 'SENEGAL'),
    PaisModelo (ID_PAIS_RESID: 217,PAIS: 'SEYCHELLES'),
    PaisModelo (ID_PAIS_RESID: 218,PAIS: 'SERRA LEOA'),
    PaisModelo (ID_PAIS_RESID: 219,PAIS: 'SINGAPURA'),
    PaisModelo (ID_PAIS_RESID: 220,PAIS: 'ESLOVÁQUIA'),
    PaisModelo (ID_PAIS_RESID: 221,PAIS: 'ESLOVÉNIA'),
    PaisModelo (ID_PAIS_RESID: 222,PAIS: 'SALOMÃO, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 223, PAIS: 'SOMÁLIA'),
    PaisModelo (ID_PAIS_RESID: 224, PAIS: 'ÁFRICA DO SUL'),
    PaisModelo (ID_PAIS_RESID: 225, PAIS: 'GEÓRGIA DO SUL E SANDWICH DO SUL, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 226, PAIS: 'ESPANHA'),
    PaisModelo (ID_PAIS_RESID: 228, PAIS: 'SRI LANKA'),
    PaisModelo (ID_PAIS_RESID: 229, PAIS: 'SUDÃO'),
    PaisModelo (ID_PAIS_RESID: 230, PAIS: 'SURINAME'),
    PaisModelo (ID_PAIS_RESID: 231, PAIS: 'SVALBARD E JAN MAYEN'),
    PaisModelo (ID_PAIS_RESID: 232, PAIS: 'SUAZILÂNDIA'),
    PaisModelo (ID_PAIS_RESID: 233, PAIS: 'SUÉCIA'),
    PaisModelo (ID_PAIS_RESID: 234, PAIS: 'SUÍÇA'),
    PaisModelo (ID_PAIS_RESID: 235, PAIS: 'SÍRIA'),
    PaisModelo (ID_PAIS_RESID: 236, PAIS: 'TAIWAN'),
    PaisModelo (ID_PAIS_RESID: 237, PAIS: 'TAJIQUISTÃO'),
    PaisModelo (ID_PAIS_RESID: 238, PAIS: 'TANZÂNIA'),
    PaisModelo (ID_PAIS_RESID: 239, PAIS: 'TAILÂNDIA'),
    PaisModelo (ID_PAIS_RESID: 240, PAIS: 'TOGO'),
    PaisModelo (ID_PAIS_RESID: 241, PAIS: 'TOQUELAU'),
    PaisModelo (ID_PAIS_RESID: 242, PAIS: 'TONGA'),
    PaisModelo (ID_PAIS_RESID: 243, PAIS: 'TRINDADE E TOBAGO'),
    PaisModelo (ID_PAIS_RESID: 245, PAIS: 'TUNÍSIA'),
    PaisModelo (ID_PAIS_RESID: 246, PAIS: 'TURQUIA'),
    PaisModelo (ID_PAIS_RESID: 247, PAIS: 'TURQUEMENISTÃO'),
    PaisModelo (ID_PAIS_RESID: 248, PAIS: 'TURKS E CAICOS'),
    PaisModelo (ID_PAIS_RESID: 249, PAIS: 'TUVALU'),
    PaisModelo (ID_PAIS_RESID: 250, PAIS: 'UGANDA'),
    PaisModelo (ID_PAIS_RESID: 251, PAIS: 'UCRÂNIA'),
    PaisModelo (ID_PAIS_RESID: 252, PAIS: 'EMIRATOS ÁRABES UNIDOS'),
    PaisModelo (ID_PAIS_RESID: 253, PAIS: 'REINO UNIDO DA GRÃ-BRETANHA E IRLANDA DO NORTE'),
    PaisModelo (ID_PAIS_RESID: 254, PAIS: 'ESTADOS UNIDOS DA AMÉRICA'),
    PaisModelo (ID_PAIS_RESID: 255, PAIS: 'MENORES DISTANTES DOS ESTADOS UNIDOS, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 256, PAIS: 'URUGUAI'),
    PaisModelo (ID_PAIS_RESID: 257, PAIS: 'UZBEQUISTÃO'),
    PaisModelo (ID_PAIS_RESID: 258,PAIS: 'VANUATU'),
    PaisModelo (ID_PAIS_RESID: 259,PAIS: 'VENEZUELA'),
    PaisModelo (ID_PAIS_RESID: 260,PAIS: 'VIETNÃ'),
    PaisModelo (ID_PAIS_RESID: 261,PAIS: 'VIRGENS AMERICANAS, ILHAS'),
    PaisModelo (ID_PAIS_RESID: 265,PAIS: 'WALLIS E FUTUNA'),
    PaisModelo (ID_PAIS_RESID: 267,PAIS: 'SAARA OCIDENTAL'),
    PaisModelo (ID_PAIS_RESID: 270,PAIS: 'IÉMEN'),
    PaisModelo (ID_PAIS_RESID: 273,PAIS: 'ZÂMBIA'),
    PaisModelo (ID_PAIS_RESID: 274,PAIS: 'ZIMBABWE'),
    PaisModelo (ID_PAIS_RESID: 275,PAIS: 'PALESTINA'),
    PaisModelo (ID_PAIS_RESID: 276,PAIS: 'OUTROS'),
  ];

  var backgroundGradient = BoxDecoration(
      gradient:  LinearGradient(
        begin: Alignment.topCenter,
        end: Alignment.bottomCenter,
        colors: [
          ColorPalette.primary,
          ColorPalette.secundary,
        ],
      )
  );
}